MODULE logic_mod

IMPLICIT NONE  

      LOGICAL purmats,forward,leapf,apphys,statcl,conser,               &
     & apdiss,apdelq,saison,ecripar,fxyhypb,ysinus                      &
     &  ,read_start,ok_guide,ok_strato,tidal,ok_gradsfile               &
     &  ,ok_limit,ok_etat0,physic,grireg
      logical hybrid ! vertical coordinate is hybrid if true (sigma otherwise)
                     ! (only used if disvert_type==2)
      logical moyzon_mu,moyzon_ch ! used for zonal averages in Titan

      integer iflag_phys,iflag_trac

!$OMP THREADPRIVATE(purmats,forward,leapf,apphys,statcl,conser,       &
  !$OMP     apdiss,apdelq,saison,ecripar,fxyhypb,ysinus,              &
  !$OMP     read_start,ok_guide,ok_strato,tidal,ok_gradsfile,         &
  !$OMP     ok_limit,ok_etat0,physic,grireg)
!$OMP THREADPRIVATE(iflag_phys,iflag_trac)

!BE CAREFUL: when adding a threadprivate variable in this module
!	do not forget to add it to copyin clause of gcm.F (before CALL leapfrog_p)

END MODULE logic_mod
