MODULE temps_mod

IMPLICIT NONE  

! jD_ref = jour julien de la date de reference (lancement de l'experience)
! hD_ref = "heure" julienne de la date de reference

      INTEGER   itaufin ! total number of dynamical steps for the run
      INTEGER   itau_dyn, itau_phy
      INTEGER   day_ini ! initial day # of simulation sequence
      INTEGER   day_end ! final day # ; i.e. day # when this simulation ends
      INTEGER   annee_ref
      INTEGER   day_ref
      REAL      dt ! (dynamics) time step (changes if doing Matsuno or LF step)
      REAL      jD_ref, jH_ref, start_time
      CHARACTER (len=10) :: calend

      ! Additionnal Mars stuff:
      real hour_ini ! initial fraction of day of simulation sequence (0=<hour_ini<1)

!$OMP THREADPRIVATE(dt,jD_ref,jH_ref,start_time,hour_ini,			&
  !$OMP		day_ini,day_end,annee_ref,day_ref,itau_dyn,itau_phy,itaufin,	&
  !$OMP		calend)	

!BE CAREFUL: when adding a threadprivate variable in this module
!	do not forget to add it to copyin clause of gcm.F (before CALL leapfrog_p)

END MODULE temps_mod
