MODULE time_phylmdz_mod

    IMPLICIT NONE
    REAL,SAVE    :: dtphys     ! physics time step (s)
!$OMP THREADPRIVATE(dtphys)
    REAL,SAVE    :: daysec     ! length of day (s)
!$OMP THREADPRIVATE(daysec)
    INTEGER,SAVE :: day_ini     ! initial day of the run
!$OMP THREADPRIVATE(day_ini)

CONTAINS

  SUBROUTINE init_time(day_ini_, daysec_, dtphys_)
    IMPLICIT NONE
    INTEGER,INTENT(IN) :: day_ini_
    REAL,INTENT(IN) :: daysec_
    REAL,INTENT(IN) :: dtphys_
    
    day_ini=day_ini_
    daysec=daysec_
    dtphys=dtphys_

  END SUBROUTINE init_time

END MODULE time_phylmdz_mod      
